%define aurox_ver 9.3
%define rel 3


%define name		tuxpaint
%define version		0.9.14
%define cvsdate		20040203

Name:		%{name}
Version:	%{version}
Release: %{aurox_ver}.aur.0.%{cvsdate}.%{rel}
URL:		http://www.newbreedsoftware.com/tuxpaint/
Source:		%{name}-%{cvsdate}.tar.bz2
Source1: 	freefont-ttf-20020306.tar.gz
#Patch0:		tuxpaint-0.9.10.20030407-aurox.patch
Patch0:		tuxpaint-makefile.patch
Patch1:		tuxpaint-sdlmixer.patch
Patch2: 	tuxpaint-20040203-pl.patch
Group:		Amusements/Games
License:	GPL
Provides:	tuxpaint
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	SDL_ttf
BuildRequires:	SDL_ttf-devel
Summary:	A drawing program for young children

%description
Tux Paint is meant to be a simple drawing program for young children. It
is not meant as a general-purpose drawing tool. It is meant to be fun
and easy to use. Sound effects and a cartoon character help let the user
know what's going on, and keeps them entertained. There are also
extra-large cartoon-style mouse pointer shapes.

%prep
%setup -q -n %{name}-%{cvsdate}
%patch -p 1 -b .aurox
%patch1 -p 0 -b .mixer
%patch2 -p 1 -b .pl

%build
CFLAGS="%{optflags}" DESTDIR= make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/doc
mkdir -p %{buildroot}/%{_mandir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
mkdir -p %{buildroot}/%{_datadir}/applnk/Graphics

DESTDIR=%{buildroot} make install

rm -f %{buildroot}/usr/X11R6/include/X11/pixmaps/*.xpm
rm -f %{buildroot}/%{_datadir}/applnk/Graphics/*.desktop
rm -rf %{buildroot}/%{_datadir}/doc/tuxpaint

desktop-file-install --vendor tux4kids --delete-original       \
  --dir %{buildroot}%{_datadir}/applications             \
  --add-category "Application;Graphics;X-Aurox-Base"     \
  %{buildroot}%{_datadir}/gnome/apps/Graphics/tuxpaint.desktop


%find_lang tuxpaint

%clean
rm -rf %{buildroot}

%files -f tuxpaint.lang
%defattr(0755, root, root)
%{_bindir}/tuxpaint
%{_bindir}/tuxpaint-import

%defattr(0644, root, root)
%{_datadir}/applications/*
%{_mandir}/man1/tuxpaint.1.gz
%{_mandir}/man1/tuxpaint-import.1.gz
%lang(pl) %{_mandir}/pl/man1/tuxpaint.1.gz
%{_datadir}/pixmaps/tuxpaint.png
%config(noreplace)  %{_sysconfdir}/tuxpaint/tuxpaint.conf

%defattr(-, root, root)
%{_datadir}/icons
%{_datadir}/tuxpaint
%doc docs/*

%changelog
* Wed Feb 04 2004 Aurox Team <aurox@aurox.org> 0:0.9.14-9.3.aur.0.20040203.3
- update makefile patch, removing manpage conversion to UTF-8
- add missing string to Polish translation
- fix linking with current SDL_mixer build
- prerelease of a new version

* Mon Apr 07 2003 Robert Glowczynski <robertg@software.com.pl>
- update to CVS "pre 0.9.11" with support for non-latin1 laguages
- split stamps source package
- spec file simplified
- convert Polish man page to UTF-8
- add freefonts - TTF serif font with non-latin1 support
- rebuild for Aurox 9

* Fri Jan 31 2003 Robert Glowczynski <robertg@software.com.pl>
- update to 0.9.8
- new version has Polish translation
- rebuild for Aurox Linux

* Thu Oct 24 2002 Florin Andrei <florin@andrei.myip.org>
- first package
- version 2002.10.20
